<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

	function notaCredito($configuracion,$cliente,$sello,$certificado,$fecha,$folio)
	{
		$fecha			= str_replace(" ","T",$fecha);
		$sello			= str_replace(" ","",$sello);
		$certificado	= str_replace(" ","",$certificado);

		$XMLFacturaComprobante='<cfdi:Comprobante xmlns:cfdi="http://www.sat.gob.mx/cfd/3" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.sat.gob.mx/cfd/3 http://www.sat.gob.mx/sitio_internet/cfd/3/cfdv33.xsd"';
		$XMLFacturaComprobante.=' Sello="'.$sello.'"';
		$XMLFacturaComprobante.=' Certificado="'.$certificado.'"';

		$XMLFacturaComprobante.=' Version="3.3" Folio="'.$folio.'" Serie="'.$configuracion->serie.'" Fecha="'.$fecha.'" FormaPago="'.$_POST['txtFormaPago'].'" NoCertificado="'.$configuracion->numeroCertificado.'" CondicionesDePago="'.$_POST['txtCondiciones'].'" SubTotal="'.Sprintf("% 01.2f",$_POST['txtSubTotalNota']).'"';

		$XMLFacturaComprobante.=' Moneda="MXN" Total="'.Sprintf("% 01.2f",$_POST['txtTotalNota']).'" MetodoPago="'.$_POST['txtMetodoPago'].'" TipoDeComprobante="E" LugarExpedicion="'.sustituir($configuracion->codigoPostal).'">';
		
		
		if(isset($_POST['chkRelacionarCfdi']))
		{
			if($_POST['chkRelacionarCfdi']=='1')
			{
				$XMLFacturaComprobante.=chr(13).chr(10).'<cfdi:CfdiRelacionados TipoRelacion="'.$_POST['selectTipoRelacion'].'">';
			
				$XMLFacturaComprobante.='<cfdi:CfdiRelacionado UUID="'.$_POST['txtUuidRelacion'].'"/>';
				
				$XMLFacturaComprobante.=chr(13).chr(10).'</cfdi:CfdiRelacionados>';
			}
		}

		$XMLFacturaEmisor=chr(13).chr(10).'  <cfdi:Emisor Rfc="'.espaciosFactura(sustituir($configuracion->rfc)).'" Nombre="'.sustituir($configuracion->nombre).'" RegimenFiscal="'.sustituir($configuracion->claveRegimen).'"/>';
		$XMLFacturaReceptor=chr(13).chr(10).'  <cfdi:Receptor Rfc="'.espaciosFactura(sustituir($cliente->rfc)).'" Nombre="'.sustituir($cliente->empresa).'" UsoCFDI="'.$_POST['selectUsoCfdi'].'"/>';

		$XMLFacturaConceptos=chr(13).chr(10).'  <cfdi:Conceptos>';
		
		$numeroIdentificacion	= isset($_POST['txtCodigoNota'])?$_POST['txtCodigoNota']:'';

		$XMLFacturaConceptos.=chr(13).chr(10).'    <cfdi:Concepto ClaveProdServ="'.sustituir($_POST['txtClaveProductoNota']).'"'.(strlen($numeroIdentificacion)>1?' NoIdentificacion="'.$numeroIdentificacion.'"':'').' Cantidad="'.Sprintf("% 01.2f",1).'" ClaveUnidad="'.sustituir($_POST['txtClaveUnidadNota']).'" Unidad="'.sustituir($_POST['txtUnidadNota']).'" ValorUnitario="'.Sprintf("% 01.2f",$_POST['txtSubTotalNota']).'" Descripcion="'.sustituir($_POST['txtConceptoNota']).'" Importe="'.Sprintf("% 01.2f",$_POST['txtSubTotalNota']).'">';
		$XMLFacturaConceptos.=chr(13).chr(10).'<cfdi:Impuestos>';
		$XMLFacturaConceptos.=chr(13).chr(10).'<cfdi:Traslados>';
		$XMLFacturaConceptos.=chr(13).chr(10).'<cfdi:Traslado Base="'.Sprintf("% 01.2f",$_POST['txtSubTotalNota']).'" Impuesto="002" TipoFactor="Tasa" TasaOCuota="'.($_POST['txtIvaNota']>0?'0.160000':'0.000000').'" Importe="'.Sprintf("% 01.2f",$_POST['txtIvaNota']).'"/>';
		$XMLFacturaConceptos.=chr(13).chr(10).'</cfdi:Traslados>';
		$XMLFacturaConceptos.=chr(13).chr(10).'</cfdi:Impuestos>';
		$XMLFacturaConceptos.=chr(13).chr(10).'</cfdi:Concepto>';
			
			
		$XMLFacturaConceptos.=chr(13).chr(10).'  </cfdi:Conceptos>';
		
		//IMPUESTOS
		$XMLFacturaImpuestos=chr(13).chr(10).'  <cfdi:Impuestos TotalImpuestosTrasladados="'.Sprintf("% 01.2f",$_POST['txtIvaNota']).'">';
		$XMLFacturaImpuestos.=chr(13).chr(10).'    <cfdi:Traslados>';
	
		$XMLFacturaImpuestos.=chr(13).chr(10).'      <cfdi:Traslado Impuesto="002" TipoFactor="Tasa" TasaOCuota="'.($_POST['txtIvaNota']>0?'0.160000':'0.000000').'" Importe="'.Sprintf("% 01.2f",$_POST['txtIvaNota']).'"/>';

		$XMLFacturaImpuestos.=chr(13).chr(10).'    </cfdi:Traslados>';
		$XMLFacturaImpuestos.=chr(13).chr(10).'  </cfdi:Impuestos>';

		$retencion="";
		
		
		$XMLFinal='<?xml version="1.0" encoding="utf-8"?>'.chr(13).chr(10).
		$XMLFacturaComprobante.
		$XMLFacturaEmisor.
		$XMLFacturaReceptor.
		$XMLFacturaConceptos.
		$XMLFacturaImpuestos.chr(13).chr(10).'  <cfdi:Complemento>'.chr(13).chr(10).$retencion.'  </cfdi:Complemento>'.chr(13).chr(10).'</cfdi:Comprobante>';

		return $XMLFinal;
	}
	
	
?>
